summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2019-11-30 14:12:22 -0600
committerMatthew Thode <prometheanfire@gentoo.org>2019-11-30 14:12:39 -0600
commita7ce7daf8a98826df632912b98cc9864f9b0beca (patch)
treefaeded00d0dcde8f92e416c6a0b27119aec904c6 /app-emulation/virt-what
parentapp-emulation/wine-staging: Drop old (diff)
downloadgentoo-a7ce7daf8a98826df632912b98cc9864f9b0beca.tar.gz
gentoo-a7ce7daf8a98826df632912b98cc9864f9b0beca.tar.bz2
gentoo-a7ce7daf8a98826df632912b98cc9864f9b0beca.zip
app-emulation/virt-what: bump and add self as maintainer
Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'app-emulation/virt-what')
-rw-r--r--app-emulation/virt-what/Manifest1
-rw-r--r--app-emulation/virt-what/metadata.xml4
-rw-r--r--app-emulation/virt-what/virt-what-1.20.ebuild24
3 files changed, 29 insertions, 0 deletions
diff --git a/app-emulation/virt-what/Manifest b/app-emulation/virt-what/Manifest
index 95d2fab1af8..5bdbd3695f3 100644
--- a/app-emulation/virt-what/Manifest
+++ b/app-emulation/virt-what/Manifest
@@ -1,2 +1,3 @@
DIST virt-what-1.18.tar.gz 173703 BLAKE2B c1ab6f331ca370572cedef06fd3eb9177ca8ef4302446eb46c737446a001e77a0825ec8771aade903e6194af3f4f745c3f35f1d9dbbb8a0550b493296878ade3 SHA512 8085a38111d5664f411f5bb9d2ee221bc22e5b0f2d993e8d518718b3f63b16ba73e052b1623c090493cf8fef52fd237ba823377503a32b4b7d03cc5380d5c613
DIST virt-what-1.19.tar.gz 183594 BLAKE2B 36b58cbe41f195cf81e0b0cf35ab881c3746ac352c57f470e1fe0005d65534f38886d7688ee9393837e667fd1c8bf41af013f3a12748db5f8615b9b5c944f7a9 SHA512 7b6e6c00e3f35cea236cc5f5fdf28d13e9e38143f280dfcbf083ebf0dca2cb677752b8daec5b2956a08405d1fe5368f9f633ce11a854928c31121a35ee4c6820
+DIST virt-what-1.20.tar.gz 459243 BLAKE2B c51bfc4366ba90e32548a5d1e0779fcc1835dae7a6bb2b6f67b4371c2d2e949339aa0ff67d64485cdb03592713a3ae04a6779e4dac0babf08bb268ce6403066f SHA512 edf74903122bfb422c7a5ecba711bb64d6ef668828f208dfc0571ef14f2643456c14bc9a77dfea209df3d93869ac0a2c9fd039779922eddc6ebd9d988585dea4
diff --git a/app-emulation/virt-what/metadata.xml b/app-emulation/virt-what/metadata.xml
index be34d3dcfa0..5bdec46056c 100644
--- a/app-emulation/virt-what/metadata.xml
+++ b/app-emulation/virt-what/metadata.xml
@@ -5,6 +5,10 @@
<email>eva@gentoo.org</email>
<name>Gilles Dartiguelongue</name>
</maintainer>
+ <maintainer type="person">
+ <email>prometheanfire@gentoo.org</email>
+ <name>Matthew Thode</name>
+ </maintainer>
<use>
<flag name="dmi">Use <pkg>sys-apps/dmidecode</pkg> to read firmware data</flag>
</use>
diff --git a/app-emulation/virt-what/virt-what-1.20.ebuild b/app-emulation/virt-what/virt-what-1.20.ebuild
new file mode 100644
index 00000000000..9c1c37709d8
--- /dev/null
+++ b/app-emulation/virt-what/virt-what-1.20.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Detects if the current machine is running in a virtual machine"
+HOMEPAGE="https://people.redhat.com/~rjones/virt-what/"
+SRC_URI="https://people.redhat.com/~rjones/virt-what/files/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="dmi"
+
+DEPEND="dev-lang/perl"
+RDEPEND="app-shells/bash
+ dmi? ( sys-apps/dmidecode )"
+
+src_prepare() {
+ default
+
+ # Pretends to be POSIX sh while it is not
+ sed -e 's:/bin/sh:/bin/bash:' -i virt-what.in || die
+}